package de.hdm_stuttgart.battlearena.Model.Multiplayer.TestServer;

import de.hdm_stuttgart.battlearena.Model.Multiplayer.ConnectionHandler;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

import java.net.*;
import java.io.*;

public class Client {
    private Socket clientSocket;
    private PrintWriter out;
    private BufferedReader in;

    private static final Logger log = LogManager.getLogger(ConnectionHandler.class);

    public void startConnection(String ip, int port) throws IOException {
        clientSocket = new Socket(ip, port);
        out = new PrintWriter(clientSocket.getOutputStream(), true);
        in = new BufferedReader(new InputStreamReader(clientSocket.getInputStream()));
    }

    public int sendX(int number) throws IOException {
        out.println("x:" + number);
        return number;
    }

    public int sendY(int number) throws IOException {
        out.println("y:" + number);
        return number;
    }


    public void stopConnection() throws IOException {
        in.close();
        out.close();
        clientSocket.close();
    }
}
